Bug 156128 - RHSA-2005:103-04 not applied in FC perl
RHSA-2005:103-04 not applied in FC perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
https://rhn.redhat.com/errata/RHSA-20...
: Security
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-04-27 15:18 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.8.5-12.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-04 17:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC3 perl update (2.36 KB, patch)
2005-04-28 16:17 EDT, Ville Skyttä
no flags Details | Diff
CAN-2004-0452 for both FC-3 and FC-4 (1.36 KB, patch)
2005-04-28 16:18 EDT, Ville Skyttä
no flags Details | Diff
FC4 perl update (1.46 KB, patch)
2005-04-28 16:23 EDT, Ville Skyttä
no flags Details | Diff
CAN-2005-0155+0156 for FC4 (742 bytes, patch)
2005-04-28 16:24 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2005-04-27 15:18:04 EDT
The fixes from RHSA-2005:103-04 do not seem to be applied in FC4tX perl
packages, nor in FC3 based on the package changelog. 
https://rhn.redhat.com/errata/RHSA-2005-103.html
Comment 1 Warren Togami 2005-04-27 23:22:35 EDT
It would *really* help if you could prepare the exact patches to apply to FC4
and the spec patch.  I have huge school deadlines right now in addition to
everything else and feeling overwhelmed.

I suppose this is a good reason to issue the FC3 update along with the FCGI fix.
 Anything we added to the FC4 package that would make it unsuitable for the FC3
update, or we can use it pretty much as-is?
Comment 2 Warren Togami 2005-04-27 23:29:25 EDT
Oh we obviously need to drop the CGI patch, but anything else?
Comment 3 Ville Skyttä 2005-04-28 16:17:55 EDT
Created attachment 113807 [details]
FC3 perl update

Ok, here goes the FC-3 perl update.  CAN-2004-0452 was not yet fixed, and I
applied the FCGI and Mac::Files filtering fixes, too.  Additionally, needed to
apply the suidperl release munging removal; in its current state the package
wouldn't even build here (due to my buildroot in ~/.rpmmacros containing
%{release}, rpmbuild got confused about the package's NVR and failed to find
the debug files).
Comment 4 Ville Skyttä 2005-04-28 16:18:57 EDT
Created attachment 113808 [details]
CAN-2004-0452 for both FC-3 and FC-4

From RHEL4.
Comment 5 Ville Skyttä 2005-04-28 16:23:54 EDT
Created attachment 113810 [details]
FC4 perl update
Comment 6 Ville Skyttä 2005-04-28 16:24:48 EDT
Created attachment 113811 [details]
CAN-2005-0155+0156 for FC4

From FC3.
Comment 7 Rob Kearey 2005-04-28 21:53:05 EDT
Problem still occurs in perl-5.8.5-12.FC3

[robk@custard ~]$ perl -e "use CGI::Fast;"
Can't locate FCGI.pm in @INC (etc)
Comment 8 Ville Skyttä 2005-05-04 17:02:29 EDT
Fixed in 5.8.5-12.FC3 and 5.8.6-10.

Note You need to log in before you can comment on or make changes to this bug.